=== debian/control ===
Source: ros-indigo-actionlib
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib-msgs, ros-indigo-catkin (>= 0.5.78), ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rosnode, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/actionlib
Standards-Version: 3.9.2

Package: ros-indigo-actionlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-wxtools, ros-indigo-actionlib-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-rostopic, ros-indigo-std-msgs
Description: The actionlib stack provides a standardized interface for interfacing with preemptable tasks.
 Examples of this include moving the base to a target location, performing a laser scan and returning the resulting point cloud, detecting the handle of a door, etc.
